#GameDisplay {
    background-color: red;
    .MainBox {
        background-color: blue;
        width: 60%;
        text-align: center;

        &:nth-child(odd) {
            //奇数番目の要素は幅を小さくする
            width: 20%;
        }

        &:nth-child(3) {
            background-color: green;
            overflow-y: scroll;
        }

        #BattleBoard {
            $BoardSize: 50vmax;
            $BorderSize: 0.25rem solid black;

            display: inline-block;

            width: $BoardSize;
            height: $BoardSize;

            //table要素内の要素の隙間
            //border-spacing: 0;

            //border: $BorderSize;

            background-color: black;

            td {
                $Size: 16.425vw;

                width: $Size;
                height: $Size;
                background-color: green;
            }
        }
    }
}

.Layer {
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 0;
    right: 0;
}
